mod.hpp File Reference

Forward declares `boost::hana::mod`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::mod
| Generalized integer modulus.Given two elements of an EuclideanRing `x` and `y`, with `y` nonzero, `mod` returns the modulus of the division of `x` by `y`. In other words, `mod` can be seen as an equivalent to `%`. More...

## Detailed Description

Forward declares `boost::hana::mod`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)